# -*- coding: utf-8 -*-
# Generated by Django 1.11.28 on 2020-05-17 13:59
from __future__ import unicode_literals

import cms.models.fields
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import filer.fields.image
import meta.models
import parler.fields
import parler.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('cms', '0020_old_tree_cleanup'),
        migrations.swappable_dependency(settings.FILER_IMAGE_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='PortfolioPlugin',
            fields=[
                ('cmsplugin_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='djangocms_portfolio_portfolioplugin', serialize=False, to='cms.CMSPlugin')),
                ('title', models.CharField(blank=True, max_length=752, verbose_name='title')),
                ('description', models.TextField(blank=True, verbose_name='description')),
            ],
            options={
                'abstract': False,
            },
            bases=('cms.cmsplugin',),
        ),
        migrations.CreateModel(
            name='Project',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sequence', models.IntegerField(verbose_name='sequence')),
                ('content', cms.models.fields.PlaceholderField(editable=False, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='project_content', slotname='project_content', to='cms.Placeholder')),
                ('main_image', filer.fields.image.FilerImageField(on_delete=django.db.models.deletion.CASCADE, to=settings.FILER_IMAGE_MODEL, verbose_name='main image')),
            ],
            options={
                'verbose_name': 'portfolio project',
                'verbose_name_plural': 'portfolio projects',
                'ordering': ('sequence',),
            },
            bases=(parler.models.TranslatableModelMixin, models.Model, meta.models.ModelMeta),
        ),
        migrations.CreateModel(
            name='ProjectTranslation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('language_code', models.CharField(db_index=True, max_length=15, verbose_name='Language')),
                ('meta_description', models.TextField(blank=True, default='', verbose_name='project meta description')),
                ('meta_keywords', models.TextField(blank=True, default='', verbose_name='project meta keywords')),
                ('meta_title', models.CharField(blank=True, default='', help_text='used in title tag and social sharing', max_length=2000, verbose_name='project meta title')),
                ('master', parler.fields.TranslationsForeignKey(editable=False, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='translations', to='djangocms_portfolio.Project')),
            ],
            options={
                'verbose_name': 'portfolio project Translation',
                'db_table': 'djangocms_portfolio_project_translation',
                'db_tablespace': '',
                'managed': True,
                'default_permissions': (),
            },
            bases=(parler.models.TranslatedFieldsModelMixin, models.Model),
        ),
        migrations.CreateModel(
            name='WorkType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
            options={
                'verbose_name': 'work type',
                'verbose_name_plural': 'work types',
            },
            bases=(parler.models.TranslatableModelMixin, models.Model),
        ),
        migrations.CreateModel(
            name='WorkTypeTranslation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('language_code', models.CharField(db_index=True, max_length=15, verbose_name='Language')),
                ('name', models.CharField(max_length=100, verbose_name='name')),
                ('slug', models.SlugField()),
                ('meta_description', models.TextField(blank=True, default='', verbose_name='project meta description')),
                ('meta_keywords', models.TextField(blank=True, default='', verbose_name='project meta keywords')),
                ('meta_title', models.CharField(blank=True, default='', help_text='used in title tag and social sharing', max_length=2000, verbose_name='project meta title')),
                ('master', parler.fields.TranslationsForeignKey(editable=False, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='translations', to='djangocms_portfolio.WorkType')),
            ],
            options={
                'verbose_name': 'work type Translation',
                'db_table': 'djangocms_portfolio_worktype_translation',
                'db_tablespace': '',
                'managed': True,
                'default_permissions': (),
            },
            bases=(parler.models.TranslatedFieldsModelMixin, models.Model),
        ),
        migrations.AddField(
            model_name='project',
            name='work',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='Projects', to='djangocms_portfolio.WorkType', verbose_name='Work type'),
        ),
        migrations.AddField(
            model_name='portfolioplugin',
            name='portfolio',
            field=models.ManyToManyField(to='djangocms_portfolio.Project'),
        ),
        migrations.AlterUniqueTogether(
            name='worktypetranslation',
            unique_together=set([('language_code', 'slug'), ('language_code', 'master')]),
        ),
        migrations.AlterUniqueTogether(
            name='projecttranslation',
            unique_together=set([('language_code', 'master')]),
        ),
    ]
